Subject: Elf standard

From: Charles Esson <[email-masked]>
Date: Fri, 09 Jan 1998 08:01:20 -0500

Does anyone know if the ELF standard get sorted out for the ARM. If so
does anyone know where I can get a copy.

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]

---

From: Charles Esson <[email-masked]>
Date: Thu, 15 Jan 1998 08:06:15 -0500

David Alan Gilbert wrote:

> Charles Esson wrote:
> >
> > Does anyone know if the ELF standard got sorted out for the ARM. If so
> ARM have documented a standard for ARM ELF executables; see the
> ARM SDK documentation (which is commercial).
> I don't think they have defined anything for object files; but when
> they were asked since ARM Linux needs one for Linux 2.1 they said
> something like that basically if someone wanted to produce a standard they'd
> look at it and if they liked it they would say OK.
> Russ has got ELF going (enough for a kernel build) - so ask him for details.

No doubt all will think it strange but I am working on a FORTH for the SA1100. I
intend to use this to boot linux, and to debug hardware. I would like the FORTH
to understand ELF binaries so it can generate them and look at them. To this end
I need a copy of the standard. I have ordered an ARM development kit from DEC (
I hope this is the SDK ). Do you have something developed for the object files
as indicated by David.

Regards
Charles Esson

---

From: Alan Cox <[email-masked]>
Date: Thu, 15 Jan 1998 16:07:30 +0000 (GMT)

> intend to use this to boot linux, and to debug hardware. I would like the FORTH

This may be useful anyway - its sure not strange. The Sun prom is written
in forth, and there is a standard for initialising I/O cards using forth
stuff that much non PC stuff uses. I think PowerPC for one.

Alan

---

From: "Ka'Plaagh" <[email-masked]>
Date: Fri, 16 Jan 1998 12:02:37 +0000

I don't think that it's strange, we used forth on the EBSA285.  I presume that
you're using the work that Neal Crook did (he also did the EBSA110 forth stuff)

Dave

----------------------------------------------------------------------
David A Rusling				Consulting Engineer
European Semiconductor Applications	Digital Equipment Co Ltd.,
	Engineering			PO Box 121,
					Imperial Way,
					Worton Grange
					Reading RG2 0TU
Linux, Alpha, StrongArm, PCI		Tel: UK-(0)1734-204380
					Fax: UK-(0)1734-203133
----------------------------------------------------------------------